import { EventEmitter, OnInit } from "@angular/core";
import { ButtonComponent } from "../button/button.component";
import { PopupButton } from "./interface/popup-button";
export declare class PopupButtonsComponent implements OnInit {
    popupWindow: any;
    readonly buttonClick: EventEmitter<PopupButton>;
    firstButton: ButtonComponent;
    buttons: PopupButton[];
    constructor();
    ngOnInit(): void;
    handleClick(event: MouseEvent, button: PopupButton): void;
    focusFirstButton(): void;
}
